## multipartdemux multipartdemux — demux multipart streams |

## Properties

gboolean | autoscan | Read / Write
gchar * | boundary | Read / Write / Construct
gboolean | single-stream | Read / Write

## Types and Values

struct | GstMultipartDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMultipartDemux

## Description

MultipartDemux uses the Content-type field of incoming buffers to demux and push data to dynamic source pads. Most of the time multipart streams are sequential JPEG frames generated from a live source such as a network source or a camera.

The output buffers of the multipartdemux typically have no timestamps and are usually played as fast as possible (at the rate that the source provides the data).

the content in multipart files is separated with a boundary string that can be configured specifically with the “boundary” property otherwise it will be autodetected.

### Sample pipelines

    1
    gst-launch-1.0 filesrc location=/tmp/test.multipart ! multipartdemux ! image/jpeg,framerate=\(fraction\)5/1 ! jpegparse ! jpegdec ! videoconvert ! autovideosink

a simple pipeline to demux a multipart file muxed with GstMultipartMux containing JPEG frames.

## Synopsis

### Element Information

plugin | multipart
author | Wim Taymans <wim.taymans@gmail.com>, Sjoerd Simons <sjoerd@luon.net>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | multipart/x-mixed-replace

name | src_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstMultipartDemux

    struct GstMultipartDemux;

The opaque GstMultipartDemux structure.

## Property Details

### The `“autoscan”` property

      “autoscan”                 gboolean

Try to autofind the prefix (deprecated unused, see boundary).

Flags: Read / Write

Default value: FALSE

### The `“boundary”` property

      “boundary”                 gchar *

The boundary string separating data, automatic if NULL.

Flags: Read / Write / Construct

Default value: NULL

### The `“single-stream”` property

      “single-stream”            gboolean

Assume that there is only one stream whose content-type will not change and emit no-more-pads as soon as the first boundary content is parsed, decoded, and pads are linked.

Flags: Read / Write

Default value: FALSE

## See Also

GstMultipartMux